Bug 2974 - Critical Error on password change
Critical Error on password change
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 1999-05-22 22:42 EDT by steve
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-12 12:27:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description steve 1999-05-22 22:42:13 EDT
Did a new full install of RH 6.0.  Selected use shadow and
MD5 passwords, don't use NIS under the authentication page
in the install program.  Installed fine. Logged in as root,
and added new user without program.  Run 'passwd steve' and
passwd: Critical error - Immediate abort

I don't think it should be doing that... Any ideas??
Comment 1 steve 1999-07-07 14:39:59 EDT
I was able to reproduce the error 3 times.
Comment 2 Jeff Johnson 1999-08-31 12:11:59 EDT
The error string is in libpam, not passwd so I'm changing the
Comment 3 matthew.temple 1999-09-17 15:44:59 EDT
I've had this happen too, and found, after running ps -aux that there
were multiple, unkillable instances of "passwd username" running.
I had to crash the computer to make them go away
Comment 4 Michael K. Johnson 1999-09-25 12:27:59 EDT
I think these are two separate problems.  The unkillable processes
implies that they are in uninterruptible disk wait, which, on local
disks, indicates either a hardware problem or a bug in the driver;
I would suspect hardware first.  PAM is just reporting this to you;
"Critical error" is the string interpretation of PAM_ABORT, which
is an error returned in all sorts of terminal error conditions.

To the original reporter:Can you look in your log files for
the following strings and see what you find?
"cannot determine database to use for authtok"
"failed to obtain new pwdb"
"user (.*/.*) update failed"
"password received unknown request"
Those, I think, are the most likely errors that you are encountering,
and without knowing which error is being encourntered, we can't be
really sure where to look.  If none of them are showing up, then we
will have to broaden the scope of our search.

------- Additional Comments From   09/25/99 18:23 -------
We now have anecdotal evidence that this event occurs only when
a user has "su'd" to root.  I can generate the error frequently after
su'ing, but haven't been able to generate it when logging in directly
on the console as root or by connecting as root via ssh.   I received
mail from another reader of the bugzilla list who suggested rebuilding
the kernel, which I did.

Are there known bugs in any of the current adaptec drivers?

Sep 23 10:50:17 limb PAM_pwdb[11218]: check pass; user unknown
Sep 23 10:50:21 limb PAM_pwdb[11218]: (login) session opened for user
lcai by (uid=0)
Sep 23 10:51:52 limb PAM_pwdb[11234]: (login) session opened for user
bao by (uid=0)
Sep 23 10:52:47 limb PAM_pwdb[11268]: 1 authentication failure;
lcai(uid=13074) -> root for su service
Sep 23 10:52:50 limb PAM_pwdb[11272]: (su) session opened for user root
by lcai(uid=13074)
Sep 23 10:56:51 limb PAM_pwdb[11291]: user (manager/30001) update
failed; pwdb: another process has locked resource

Do the included log entries say anything to you?
Comment 5 Cristian Gafton 2000-05-22 11:36:59 EDT
assigned to nalin
Comment 6 Ernie Martinez 2001-03-12 12:26:58 EST
I am also getting this error. I'm running redhat 6.1 on an Intel platform.

Comment 7 Brent Fox 2002-06-04 23:55:50 EDT
Wow, this bug is old.  I'm thinking that Red Hat Linux 7.3 does not display this
behavior.  Please reopen if you have similar problems with 7.3.

Note You need to log in before you can comment on or make changes to this bug.